Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 27 Sep 2020 14:41:01 +0200

Sam Steingold <[email-masked]> writes:

> On Tue, May 1, 2012 at 04:09, martin rudalics <[email-masked]> wrote:
>>>> Which command does "quit" run - `gdb-delete-frame-or-window'?
>>>
>>> dunno. the code indicates that, but the function seems too simple to
>>> remove all those subordinate windows and buffers.
>>
>> So you have to check your key bindings ;-)
>
> I type "q u i t RET" in the *gud* buffer.
> do you seriously think I rebind any of those keys?!

Reading this old bug report, it's not quite clear what the problem is --
mostly because there's no recipe to reproduce the issue.

If I do `M-x gdb RET quit RET' on src/emacs, the latter doesn't do
anything to any windows (and it would be confusing if it did).

Does anybody have a recipe here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no